# class NetworkSwitch

*Defined at src/network/network_switch.h#19*

Inherits from NetworkNode



## Functions

### NetworkSwitch

*public void NetworkSwitch(Simulator *const sim, NodeId id, uint16_t total_ports, ECNEngine *const ecn, SwitchBuffer *const buf, const RoutingTables *const rt, Time forwarding_latency, Time multicast_dup_delay)*

### get_status

*public NodeStatus get_status()*

*Defined at src/network/network_switch.h#38*

### port_cnt

*public uint16_t port_cnt()*

*Defined at src/network/network_switch.h#42*

### recv_pkt

*public void recv_pkt(Packet & pkt, PortId ingress)*

### set_status

*public void set_status(NodeStatus s, Time new_forward_latency)*



